org.apache.velocity.tools.view

## Class XmlTool

- java.lang.Object
- - org.apache.velocity.tools.generic.SafeConfig
  - - org.apache.velocity.tools.generic.XmlTool
    - - org.apache.velocity.tools.view.XmlTool

All Implemented Interfaces:
  Serializable

    public class XmlTool
    extends XmlTool

View version of `XmlTool`. It adds an automatic parsing of the HTTP query body content, if it is found to be of JSON type.

Since:
  VelocityTools 3.0
Version:
  $Id:$
Author:
  Claude Brisson
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.velocity.tools.generic.XmlTool

`XmlTool.NodeIterator`

### Field Summary

### Fields inherited from class org.apache.velocity.tools.generic.XmlTool

`importSupport`

### Fields inherited from class org.apache.velocity.tools.generic.SafeConfig

`LOCK_CONFIG_KEY, log, LOGGER_NAME_KEY, SAFE_MODE_KEY, USE_CLASS_LOGGER_KEY`

### Constructor Summary

Constructors
Constructor and Description
`XmlTool()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `configure(ValueParser values)` Configuration.
`protected void` `initializeImportSupport(ValueParser config)` ImportSupport initialization.

### Methods inherited from class org.apache.velocity.tools.generic.XmlTool

`attr, attributes, children, fetch, find, find, get, get, getFirst, getLast, getName, getNodeName, getParent, getPath, getText, isEmpty, iterator, node, parents, parse, read, setRoot, size, toString`

### Methods inherited from class org.apache.velocity.tools.generic.SafeConfig

`configure, getLog, initLogger, isConfigLocked, isSafeMode, setLockConfig, setSafeMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XmlTool

    public XmlTool()

### Method Detail

#### initializeImportSupport

    protected void initializeImportSupport(ValueParser config)

ImportSupport initialization.

Overrides:
  `initializeImportSupport` in class `XmlTool`
Parameters:
  `config` - configuration values

#### configure

    protected void configure(ValueParser values)

Configuration. Parses request body if appropriate.

Overrides:
  `configure` in class `XmlTool`
Parameters:
  `values` - configuration values